Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.validator
Class FormSetFactory

    java.lang.Object
      |
      +--org.apache.commons.digester.AbstractObjectCreationFactory
            |
            +--org.apache.commons.validator.FormSetFactory

All Implemented Interfaces:
  org.apache.commons.digester.ObjectCreationFactory

public class FormSetFactory
extends org.apache.commons.digester.AbstractObjectCreationFactory

Factory class used by Digester to create FormSet's.

Since:
  Validator 1.2
Version:
  $Revision: 478334 $ $Date: 2006-11-22 21:31:54 +0000 (Wed, 22 Nov 2006) $

Fields inherited from class org.apache.commons.digester.AbstractObjectCreationFactory
`digester`

Constructor Summary
`FormSetFactory()`

Method Summary
`java.lang.Object` | `createObject(org.xml.sax.Attributes attributes)` Create or retrieve a `FormSet` for the specified attributes.

Methods inherited from class org.apache.commons.digester.AbstractObjectCreationFactory
`getDigester, setDigester`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormSetFactory

    public FormSetFactory()

Method Detail

### createObject

    public java.lang.Object createObject(org.xml.sax.Attributes attributes)
                                  throws java.lang.Exception

  Create or retrieve a `FormSet` for the specified attributes.

  Overrides:
    `createObject` in class `org.apache.commons.digester.AbstractObjectCreationFactory`
  Parameters:
    `attributes` - The sax attributes for the formset element.
  Returns:
    The FormSet for a locale.
  Throws:
    `java.lang.Exception` - If an error occurs creating the FormSet.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.